PATCH
/roadmaps/{roadmapId}Update a roadmap
Update an existing roadmap
Parameters
| Name | In | Type | Description |
|---|---|---|---|
roadmapIdrequired | path | string | Roadmap ID |
Request body
| Field | Type | Description |
|---|---|---|
name | string | |
description | string | null | |
type | "column" | "date" | |
baseFilter | object | |
dateSource | "eta" | null | |
frequency | "monthly" | "quarterly" | "semiannual" | null | |
visibility | "public" | "team" | "segment" | |
isPublic | boolean | Deprecated: use `visibility`. `false` maps to `team`, `true` maps to `public`. Ignored when `visibility` is sent. |
visibleSegmentIds | string[] | null | |
columns | object[] |
Response
Roadmap updated
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
slugrequired | string | URL-friendly identifier |
descriptionrequired | stringnull | |
typerequired | "column" | "date" | |
baseFilterrequired | object | |
dateSourcerequired | "eta" | null | |
frequencyrequired | "monthly" | "quarterly" | "semiannual" | null | |
visibilityrequired | "public" | "team" | "segment" | |
visibleSegmentIdsrequired | string[] | null | |
positionrequired | number | Display order |
columnsrequired | object[] | |
createdAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401Unauthorized404Roadmap not foundExample request
curl \
-X PATCH \
"https://feedback.quackback.io/api/v1/roadmaps/:roadmapId" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "example_name",
"type": "example_type",
"visibility": "example_visibility",
"isPublic": false,
"columns": []
}'